Subject: Rerunning merge on a single file

From: Kristian Amlie <[email-masked]>
Date: Tue, 14 Oct 2008 14:13:15 +0200

Hey, I have question about advanced merging.

Suppose I have a huge merge with conflicts all over the place. There is 
no way to avoid them, so I start working from the top. At some point, 
however, I make a mistake and lose the merge information for one file 
(for example by checking out the file from HEAD).

In that case I would like to get the conflict markers back, and do that 
file over again, but I don't want to throw away the rest of the index 
state. Currently the only way I can see to do this is by checking out 
several file versions under different names and then using git 
merge-file on them.

Is there a better way to achieve this?

Kristian